RegionDestroyedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: RegionDestroyedException

Package org.apache.geode.cache

# Class RegionDestroyedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.RegionDestroyedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegionReinitializedException`

public class RegionDestroyedException extends CacheRuntimeException
Indicates that the region has been destroyed. Further operations on the region object are not allowed.

Since:
  GemFire 2.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionDestroyedException(String msg, String regionFullPath)`
  Constructs a `RegionDestroyedException` with a message.
  `RegionDestroyedException(String s, String regionFullPath, Throwable ex)`
  Constructs a `RegionDestroyedException` with a message and a cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRegionFullPath()`

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegionDestroyedException

    public RegionDestroyedException(String msg, String regionFullPath)
    Constructs a `RegionDestroyedException` with a message.
    Parameters:
      `msg` - the String message
      `regionFullPath` - the path of the region that encountered the exception

  - ### RegionDestroyedException

    public RegionDestroyedException(String s, String regionFullPath, Throwable ex)
    Constructs a `RegionDestroyedException` with a message and a cause.
    Parameters:
      `s` - the String message
      `regionFullPath` - the path of the region that encountered the exception
      `ex` - the Throwable cause

- ## Method Details

  - ### getRegionFullPath

    public String getRegionFullPath()